function [freq,spectrum] = myfft(time, signal)
%return frequency and fftSignal of a time/Signal pair
%   use spectrum centered around 0

dt = mean(diff(time));
% freq = linspace(-0.5*1/dt, 0.5*1/dt, length(time));
% spectrum = fftshift(fft(signal));

%added on Feb 2021
L = length(time);
if mod(L,2) == 0
    spectrum2 = fft(signal)/L;
    spectrum1 = spectrum2(1:L/2+1);
    spectrum1(2:end-1) = 2*spectrum1(2:end-1);
    freq = 1/dt*((0:L/2))/L;
    spectrum = spectrum1;
else
    spectrum2 = fft(signal)/L;
    spectrum1 = spectrum2(1:(L+1)/2);
    spectrum1(2:end-1) = 2*spectrum1(2:end-1);
    freq = 1/dt*((0:(L-1)/2))/(L-1);
    spectrum = spectrum1;
end

